# Note:  The signature check for this perl dist. is disabled by default, as it
# requires network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling the test, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox
# "make noarch" type scenario is the third one.

Name:           perl-POE-API-Peek
Version:        1.0802
Release:        4%{?dist}
Summary:        Peek into the internals of a running POE environment
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-API-Peek/
Source0:        http://www.cpan.org/authors/id/S/SU/SUNGO/POE-API-Peek-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Devel::Size)
BuildRequires:  perl(POE) >= 0.29
BuildRequires:  perl(Test::More)

%{?_with_network_tests:BuildRequires: perl(Module::Signature) }

## cpanspec autogenerated -- retained for the curious
#Requires:       perl(Devel::Size)
#Requires:       perl(POE) >= 0.29

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to
Kernel internals in a cross-version compatible manner. Other calculated
data is also available.

%prep
%setup -q -n POE-API-Peek-%{version}

# do this now, as our next few lines with disturb the signed package
%{?_with_network_tests: perl t/000-signature.t}

# beat $VERSION into submission, for proper auto-provides
cd lib/POE/API
MODVER=$(echo `grep 'our $VERSION' Peek.pm` '; print $VERSION;' | perl)
sed -i -e "s/our \$VERSION = .*/our \$VERSION = $MODVER;/" Peek.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# if we were going to do this, it'd be done already :)
rm t/000-signature.t

make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0802-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0802-3
- rebuild for new perl

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 1.0802-2
- Add BR: perl(Test::More) (BZ 419631).

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0802-1
- update to 1.0802

* Tue Oct 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0801-1
- update to 1.0801

* Tue Sep 19 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.06-2
- bump

* Sun Sep 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.06-1
- Specfile autogenerated by cpanspec 1.69.1.
